From: Hubert Chathi <uhoreg@debian.org>
Date: Sun, 22 Jan 2023 20:52:34 +0100
Subject: support gawk

---
 src/awkname         | 2 +-
 src/xdoc/manpage.nw | 8 ++------
 2 files changed, 3 insertions(+), 7 deletions(-)

diff --git a/src/awkname b/src/awkname
index 157843b..ce3aee8 100755
--- a/src/awkname
+++ b/src/awkname
@@ -8,7 +8,7 @@ esac
 rc=0
 new=$(mktemp); old=$(mktemp)
 
-for file in lib/emptydefn lib/unmarkup lib/toascii lib/btdefn \
+for file in ../examples/sharpline lib/emptydefn lib/unmarkup lib/toascii lib/btdefn \
                         awk/noidx awk/totex awk/tohtml awk/noindex \
                         shell/noroff shell/toroff lib/pipedocs \
                         shell/nocount shell/nountangle shell/noweb shell/noroots
diff --git a/src/xdoc/manpage.nw b/src/xdoc/manpage.nw
index 87d86ca..ad23d74 100644
--- a/src/xdoc/manpage.nw
+++ b/src/xdoc/manpage.nw
@@ -358,9 +358,7 @@ can be used to catch this mistake.
 \".PP
 \".I noweb
 \"requires the new version of
-\".IR awk ,
-\"assumed to be called
-\".IR nawk .
+\".IR awk .
 \"DEC
 \".I nawk
 \"has a bug in that that causes 
@@ -561,9 +559,7 @@ If the design were better, we could all use the same commands.
 .PP
 .I noweb
 requires the new version of
-.IR awk ,
-assumed to be called
-.IR nawk .
+.IR awk .
 DEC
 .I nawk
 has a bug in that that causes problems with braces in
